GET /api/v1/audit_log/security_audit_logs
Security Audit Logs
GET /api/v1/audit_log/security_audit_logs
Use this endpoint to get a list of security audit logs of the login account.
Security audit logs includes activity related to: User management actions, User login actions, API key actions, 2FA actions, Login credential changes.
The end date the audit log event time in ISO8601 format (exclusive), if not provided, default to from_event_time plus 180 days.
The start date of the audit log event time in ISO8601 format (inclusive), default and earliest value 2024-02-06T00:00:00+0800.
Page bookmark.
Page size, default 100 if not provided, valid value 1-2000.
Paged results.
Account id.
Optional. Detail infos related to the event, differ for different action types.
Event timestamp, UTC timezone.
Event type.
An unique UUID id of the event.
Operator info of the user trigger the event.
User email.
User mobile.
Type of the operator user.
Session info of where and what device trigger the event.
Web browser or Airwallex app, derived from User agent info.
Ip address.
Location info derived from ip address.
Operating system info.
User agent info.
The page bookmark used for search the item after the result.
The page bookmark used for search the item before the result.
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request GET \> --url 'https://api.sandbox.airwallex.com/api/v1/audit_log/security_audit_logs' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1{2 "items": [3 {4 "account_id": "acct_TOslkS7-MnyXlQuV8Lb4og",5 "event_details": {6 "new_value": "[email protected]"7 },8 "event_time": "2022-06-08T06:41:37+0000",9 "event_type": "user.email.added",10 "id": "45a6d9c3-bdcd-3bbf-b592-10f287a87ccd",11 "operator_info": {12 "email": "[email protected]",13 "mobile": "12345679",14 "type": "WEBAPP_ACCOUNT_USER"15 },16 "session_info": {17 "application": "Chrome",18 "ip_address": "127.0.0.1",19 "location": "Hong Kong",20 "operating_system": "Mac OS X",21 "user_agent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/114.0.0.0 Safari/537.36"22 }23 }24 ],25 "page_after": "<string>",26 "page_before": "<string>"27}